gnutls_psk_set_client_credentials_function(3)

NAME
gnutls_psk_set_client_credentials_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_psk_set_client_credentials_function(gnutls_psk_client_credentials_t cred, gnutls_psk_client_credentials_function * func);

ARGUMENTS

gnutls_psk_client_credentials_t         cred
    is a gnutls_psk_server_credentials_t type.

gnutls_psk_client_credentials_function         * func
    is the callback function

DESCRIPTION
This function can be used to set a callback to retrieve the username and password for client PSK authentication. The callback's function form is: int (*callback)(gnutls_session_t, char** username, gnutls_datum_t* key); The username and key ->data must be allocated using gnutls_malloc(). The username should be an ASCII string or UTF-8 string. In case of a UTF-8 string it is recommended to be following the PRECIS framework for usernames (rfc8265). The callback function will be called once per handshake. The callback function should return 0 on success. -1 indicates an error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/